div(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-list-header((refresh)="onRefresh()")

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-list-search([workflows]="workflows$ | async", [modules]="modules$ | async",
      [search]="search$ | async", (searchChange)="onSearchChange($event)")

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-list-table([loading]="loading$ | async", [pagination]="pagination$ | async",
      [executions]="executions$ | async", [tableItem]="tableItem",
      (updatePageIndex)="onUpdatePageIndex($event)", (updateSort)="onUpdateSort($event)")

ng-template(#tableItem, let-execution)
  tr.ant-table-row(ryax-monitoring-list-table-row, [routerLink]="execution.id", [execution]="execution",
    [workflow]="getWorkflowById$(execution.workflowDeploymentId) | async", [module]="getModuleById$(execution.moduleInstanceId) | async")
